> For the complete documentation index, see [llms.txt](https://docs.visualsentinel.com/llms.txt)

# MonitorBulkRateLimitError data model

The MonitorBulkRateLimitError shape in the Visual Sentinel REST API.

## Fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `error` | string | No | One of: `Rate limit exceeded`. |
| `limit` | integer | No |   |
| `reset` | string (date-time) | No |   |
| `remaining` | integer | No |   |

## Used by

- [Bulk update monitor alerts](https://docs.visualsentinel.com/reference/monitors.md#bulk-update-alerts): `PUT /api/monitors/bulk-alerts`
- [Delete a batch of monitors](https://docs.visualsentinel.com/reference/monitors.md#bulk-remove-monitors): `POST /api/monitors/bulk-delete`
- [Pause or resume a batch of monitors](https://docs.visualsentinel.com/reference/monitors.md#bulk-set-monitors-enabled): `PUT /api/monitors/bulk-enabled`
- [Change settings on a batch of monitors](https://docs.visualsentinel.com/reference/monitors.md#bulk-update-monitor-settings): `PUT /api/monitors/bulk-settings`
- [Add tags to a batch of monitors](https://docs.visualsentinel.com/reference/monitors.md#bulk-add-monitor-tags): `PUT /api/monitors/bulk-tags`

Generated from the OpenAPI 3.1 specification at [https://docs.visualsentinel.com/openapi.json](https://docs.visualsentinel.com/openapi.json).
